## gate.creole
Class TestCreole.DocumentImplBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--gate.creole.TestCreole.DocumentImplBeanInfo

All Implemented Interfaces:
  BeanInfo

Enclosing class:
  TestCreole

class TestCreole.DocumentImplBeanInfo
extends SimpleBeanInfo

Example of what bean info classes do. If this was a public class in gate.corpora it would be used by the beans Introspector to generation bean info for the gate.corpora.DocumentImpl class. It inherits from SimpleBeanInfo whose default behaviour is to return null for the various methods; this tells the Introspector to do its own investigations.

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`(package private)` `TestCreole.DocumentImplBeanInfo()`

Method Summary
`PropertyDescriptor[]` `getPropertyDescriptors()` Override the SimpleBeanInfo behaviour and return a 0-length array of properties; this will be passed on by the Introspector, the effect being to block info on the properties of the bean.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### TestCreole.DocumentImplBeanInfo

    TestCreole.DocumentImplBeanInfo()

Method Detail

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Override the SimpleBeanInfo behaviour and return a 0-length array of properties; this will be passed on by the Introspector, the effect being to block info on the properties of the bean.
  Overrides:
    `getPropertyDescriptors` in class `SimpleBeanInfo`